/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 */
package org.enhydra.zeus.transform;

import java.io.IOException;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

// Zeus imports
import org.enhydra.zeus.ZeusDefaults;

/**
 * <p>
 *  <code>SimpleTransformer</code> is a basic implementation of a Zeus
 *    <code>{@link org.enhydra.zeus.Transformer}</code>. It iterates through
 *    the supplied <code>{@link org.enhydra.zeus.Binding}</code> objects and 
 *    assigns each the options for this transformer.
 * </p>
 *
 * @author Brett McLaughlin
 */
public class DefaultsTransformer extends SimpleTransformer {
    
    /**
     * <p>
     *  This constructor takes in a <code>{@link org.enhydra.zeus.Source}</code>
     *    to read mapping information from and allow generation of the 
     *    transformation mappings from it.
     * </p>
     */
    public DefaultsTransformer() {
        super(null);
        setTransformerOptions(ZeusDefaults.DEFAULT_TRANSFORMER_OPTIONS);
    }
}
