/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *-----------------------------------------------------------------------------
 * $Id: ZeusCommand.java,v 1.4 2002/08/16 21:28:29 cney Exp $
 *-----------------------------------------------------------------------------
 */

package org.enhydra.zeus.util;


/**
 * Created on Aug 15, 2002
 * Main class for zeus shell command
 * @author  Christophe Ney - cney@batisseurs.com
 */
public class ZeusCommand {

    private static final String command = "zeus";

    /**
     * <p>
     *  This provides command-line class generation.
     * </p>
     *
     * @param args <code>String</code> array of command-line arguments.
     */
    public static void main(String[] args) {
        Arguments arguments = new Arguments(args);

        // Ensure correct usage
        String constraintsFilename =
                arguments.getValue("constraints");

        if (constraintsFilename != null) {
            if (constraintsFilename.toLowerCase().endsWith(".dtd")) {
                DTDSourceGenerator.main(args);
                return;
            }
            if (constraintsFilename.toLowerCase().endsWith(".xsd")) {
                XSDSourceGenerator.main(args);
                return;
            }
        }
        System.out.println("Usage: " + command +
                " -constraints=<filename.xsd|filename.dtd>" +
                " [-outputDir=<output directory>" +
                " [-collapseSimpleElements=" +
                "<true | false>]" +
                " [-ignoreIDAttributes=<true | false>]" +
                " [-javaPackage=<Java package name>]");
    }
}
